package com.github.libretube

/**
 * API link for the update checker
 */
const val GITHUB_API_URL = "https://api.github.com/repos/libre-tube/LibreTube/releases/latest"

/**
 * Links for the about fragment
 */
const val WEBSITE_URL = "https://libre-tube.github.io/"
const val DONATE_URL = "https://github.com/libre-tube/LibreTube#donate"
const val GITHUB_URL = "https://github.com/libre-tube/LibreTube"
const val PIPED_GITHUB_URL = "https://github.com/TeamPiped/Piped"
const val WEBLATE_URL = "https://hosted.weblate.org/projects/libretube/libretube/"
const val LICENSE_URL = "https://gnu.org/"

/**
 * Social media links for the community fragment
 */
const val TELEGRAM_URL = "https://t.me/libretube"
const val MATRIX_URL = "https://matrix.to/#/#LibreTube:matrix.org"
const val DISCORD_URL = "https://discord.com/invite/Qc34xCj2GV"
const val REDDIT_URL = "https://www.reddit.com/r/Libretube/"
const val TWITTER_URL = "https://twitter.com/libretube"

/**
 * Share Dialog
 */
const val PIPED_FRONTEND_URL = "https://piped.kavin.rocks"
const val YOUTUBE_FRONTEND_URL = "https://www.youtube.com"

/**
 * Retrofit Instance
 */
const val PIPED_API_URL = "https://pipedapi.kavin.rocks/"

/**
 * Notification IDs
 */
const val PLAYER_NOTIFICATION_ID = 1
const val PUSH_NOTIFICATION_ID = 2
const val DOWNLOAD_PENDING_NOTIFICATION_ID = 3
const val DOWNLOAD_FAILURE_NOTIFICATION_ID = 4
const val DOWNLOAD_SUCCESS_NOTIFICATION_ID = 5

/**
 * Notification Channel IDs
 */
const val DOWNLOAD_CHANNEL_ID = "download_service"
const val BACKGROUND_CHANNEL_ID = "background_mode"
const val PUSH_CHANNEL_ID = "notification_worker"

/**
 * Database
 */
const val DATABASE_NAME = "LibreTubeDatabase"
